# $Revision: 1.18 $, $Date: 2008/07/27 22:42:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	Bezier-Convert
Summary:	Math::Bezier::Convert - convert cubic and quadratic bezier each other
Summary(pl.UTF-8):	Math::Bezier::Convert - konwersja krzywych Beziera stopnia 2 i 3 na inne
Name:		perl-Math-Bezier-Convert
Version:	0.02
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fb5237be267b594ae9849fcdd389ed11
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::Bezier::Convert provides functions to convert quadratic bezier
to cubic, to approximate cubic bezier to quadratic, and to approximate
cubic and quadratic bezier to polyline.

%description -l pl.UTF-8
Moduł Math::Bezier::Convert udostępnia funkcje do przeliczania
kwadratowych krzywych Beziera na kubiczne, aproksymacji kubicznych
krzywych Beziera kwadratowymi oraz aproksymacji kubicznych i
kwadratowych krzywych Beziera wielomianami.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install samples/bezier.plx $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Math/Bezier
%{perl_vendorlib}/Math/Bezier/Convert.pm
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-Bezier-Convert.spec,v $
Revision 1.18  2008/07/27 22:42:14  arekm
- release 2

Revision 1.17  2007-02-13 07:47:13  glen
- tabs in preamble

Revision 1.16  2007/02/12 00:49:39  baggins
- converted to UTF-8

Revision 1.15  2004/12/01 17:45:44  radek
- autoupdated to 0.02

Revision 1.14  2004/11/03 22:30:33  paladine
- formatting

Revision 1.13  2004/06/05 18:10:44  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.12  2004/05/06 18:20:36  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/23 07:50:15  ankry
- license fixes, unification

Revision 1.10  2004/04/20 23:59:34  ankry
- ported to new bconds

Revision 1.9  2004/04/14 21:16:31  ankry
- cosmetics, unification

Revision 1.8  2003/08/18 08:08:58  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:48  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:20:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:40:16  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:19  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/06 20:57:23  qboosh
- new

